#region Using

using System;
using System.Text;
using System.Data;
using System.Text.RegularExpressions;
using BlogEngine.Core;
using BlogEngine.Core.Web.Controls;
using System.Web;
using System.Drawing;


#endregion

[Extension("Inserts Signature code at the end of posts", "", "")]
public class SignInjector
{
    public SignInjector()
	{
		Post.Serving += new EventHandler<ServingEventArgs>(Serving);
	}

	/// <summary>
	/// Serving AdSense code in post and page
	/// </summary>
	private static void Serving(object sender, ServingEventArgs e)
	{
        /*if (e.Location == ServingLocation.SinglePost)
        {
            Post pst = (Post)sender;
            e.Body += "<div style=\"text-align:right;clear:both;margin-right:5;\"><img src=\"" + Utils.AbsoluteWebRoot + "signimage.aspx?txt1=" + pst.Author + "\"></div>";

        }*/
        if (e.Location != ServingLocation.SinglePage)
        {
            Post pst = (Post)sender;
            e.Body += "<div style=\"text-align:right;clear:both;margin-right:5;\"><img src=\""+Utils.AbsoluteWebRoot+"signimage.aspx?txt1=" + pst.Author + "\"></div>";
        }
	}

}
